From 6b50a07bd5326b37cc9ded125b5b669fb1353903 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Mar 04 2017 08:45:28 +0000
Subject: [PATCH 777/1001] Add a simple test for the contact widget base view


---

diff --git a/hubs/tests/test_widgets/test_contact.py b/hubs/tests/test_widgets/test_contact.py
index d338e18..ae92f87 100644
--- a/hubs/tests/test_widgets/test_contact.py
+++ b/hubs/tests/test_widgets/test_contact.py
@@ -70,6 +70,22 @@ class ContactsTest(APPTest):
         self.session.commit()
         self.widget_idx = widget.idx
 
+    def test_data_simple(self):
+        widget = self.widget_instance('ralph', self.plugin)
+        response = self.app.get('/ralph/%i/json' % widget.idx)
+        self.assertEqual(response.status_code, 200)
+        data = json.loads(response.get_data(as_text=True))
+        self.assertDictEqual(data['data'], {
+            'account_age': 'Oct 2010',
+            'email': 'ralph@fedoraproject.org',
+            'ircnick': 'ralph',
+            'karma_url': '/ralph/w/contact/%i/plus-plus/ralph/status'
+                         % widget.idx,
+            'location': 'United States',
+            'timezone': 'UTC',
+            'usergroup': True,
+        })
+
     @mock.patch('requests.get', side_effect=mocked_requests_get)
     def test_plus_plus_get_valid(self, mock_get):
         widget = self.widget_instance("ralph", self.plugin)

